### Method

# Ide RuntimeProvider bootstrap_async

#### Declaration

    void
    ide_runtime_provider_bootstrap_async (
      IdeRuntimeProvider* self,
      IdePipeline* pipeline,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

This function allows to the runtime provider to install dependent runtimes similar to ide_runtime_provider_install_async(), but with the added benefit that it can access the pipeline for more information. For example, it may want to check the architecture of the pipeline, or the connected device for tweaks as to what runtime to use.

Some runtime providers like Flatpak might use this to locate SDK extensions and install those too.

This function should be used instead of ide_runtime_provider_install_async().

Available since: | 3.32

#### Parameters

`pipeline` | `IdePipeline`
| An `IdePipeline`.
| The data is owned by the caller of the function.
`cancellable` | `GCancellable`
| A `GCancellable` or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| A `GAsyncReadyCallback` or `NULL`.
| The argument can be `NULL`.
`user_data` | `gpointer`
| Closure data for `callback`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.